/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.common.user;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class UserProfileTestFactory {

	private static final LoremIpsum LOREM_IPSUM = LoremIpsum.getInstance();

	public static final UserId ID = UserId.from(UUID.randomUUID().toString());

	public static final String FIRST_NAME = LOREM_IPSUM.getFirstName();
	public static final String LAST_NAME = LOREM_IPSUM.getLastName();
	public static final String EMAIL = "test-email@local";

	public static UserProfile create() {
		return createBuilder().build();
	}

	public static UserProfile.UserProfileBuilder createBuilder() {
		return UserProfile.builder()
				.id(ID)
				.firstName(FIRST_NAME)
				.lastName(LAST_NAME)
				.email(EMAIL);
	}
}
