/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.common.vorgang.attached_item;

import java.util.stream.Stream;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import de.ozgcloud.collaboration.CollaborationManagerConfiguration;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Service(CollaborationManagerConfiguration.VORGANG_ATTACHED_ITEM_SERVICE_NAME)
public class VorgangAttachedItemService {

	@Qualifier(CollaborationManagerConfiguration.VORGANG_ATTACHED_ITEM_REMOTE_SERVICE_NAME)
	private final VorgangAttachedItemRemoteService remoteService;

	public VorgangAttachedItem getById(String id) {
		return remoteService.getById(id);
	}

	public Stream<VorgangAttachedItem> findByVorgangId(String vorgangId, String itemName) {
		return remoteService.findByVorgangId(vorgangId, itemName);
	}
}