/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.vorgang;

import java.util.List;
import java.util.Map;

import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
public class ServiceKonto {

	public static final String FIELD_SERVICEKONTO_TYPE = "serviceKontoType";
	public static final String FIELD_POSTFACH_ADDRESS = "postfachAddress";

	private String type;
	private TrustLevel trustLevel;
	@Singular
	private List<PostfachAddress> addresses;

	@Builder
	@Getter
	public static class PostfachAddress {

		public static final String FIELD_VERSION = "version";
		public static final String FIELD_TYPE = "type";
		public static final String FIELD_IDENTIFIER = "identifier";
		public static final String FIELD_IDENTIFIER_POSTFACH_ID = "postfachId";

		private String version;
		private int type;
		private Map<String, Object> identifier;
	}
}
