/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.common.vorgang.attached_item;

import de.ozgcloud.collaboration.vorgang.VorgangTestFactory;
import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItem;

public class GrpcVorgangAttachedItemTestFactory {

	public static final GrpcProperty PROPERTY = GrpcProperty.newBuilder().setName(VorgangAttachedItemTestFactory.ITEM_KEY)
			.addValue(VorgangAttachedItemTestFactory.ITEM_VALUE).build();
	public static final GrpcObject ITEM = GrpcObject.newBuilder().addProperty(PROPERTY).build();

	public static GrpcVorgangAttachedItem create() {
		return createBuilder().build();
	}

	public static GrpcVorgangAttachedItem.Builder createBuilder() {
		return GrpcVorgangAttachedItem.newBuilder()
				.setId(VorgangAttachedItemTestFactory.ID)
				.setClient(VorgangAttachedItemTestFactory.CLIENT)
				.setVorgangId(VorgangTestFactory.ID_STR)
				.setItemName(VorgangAttachedItemTestFactory.ITEM_NAME)
				.setItem(ITEM);
	}
}