/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.common.vorgang.attached_item;

import java.util.Map;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.collaboration.vorgang.VorgangTestFactory;

public class VorgangAttachedItemTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String CLIENT = LoremIpsum.getInstance().getWords(1);
	public static final String ITEM_NAME = LoremIpsum.getInstance().getWords(1);

	public static final String ITEM_KEY = "itemKey";
	public static final String ITEM_VALUE = "itemValue";
	public static final Map<String, Object> ITEM = Map.of(ITEM_KEY, ITEM_VALUE);

	public static VorgangAttachedItem create() {
		return createBuilder().build();
	}

	public static VorgangAttachedItem.VorgangAttachedItemBuilder createBuilder() {
		return VorgangAttachedItem.builder()
				.id(ID)
				.client(CLIENT)
				.vorgangId(VorgangTestFactory.ID_STR)
				.itemName(ITEM_NAME)
				.item(ITEM);
	}
}