/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.fachstelle;

import java.util.Map;
import java.util.UUID;

import de.ozgcloud.collaboration.fachstelle.Fachstelle.FachstelleBuilder;
import de.ozgcloud.collaboration.fachstelle.Fachstelle.FachstelleType;

public class FachstelleTestFactory {

	public static final FachstelleType TYPE = FachstelleType.ORGANISATION_EINHEIT;
	public static final String SUBJECT_ID = UUID.randomUUID().toString();
	public static final String TECHNICAL_ID = UUID.randomUUID().toString();

	public static Fachstelle create() {
		return createBuilder().build();
	}

	public static FachstelleBuilder createBuilder() {
		return Fachstelle.builder()
				.subjectId(SUBJECT_ID)
				.technicalId(TECHNICAL_ID)
				.type(TYPE);
	}

	public static Map<String, Object> createAsMap() {
		return Map.of(
				Fachstelle.PROPERTY_TECHNICAL_ID, TECHNICAL_ID,
				Fachstelle.PROPERTY_SUBJECT_ID, SUBJECT_ID,
				Fachstelle.PROPERTY_TYPE, TYPE.name());
	}
}
