/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.vorgang;

public class FormDataEntryTestFactory {

	public final static String FORM_FIELD_NAME = "name";
	public final static String FORM_FIELD_LABEL = "label";
	public final static String FORM_FIELD_VALUE = "value";

	public final static String SUB_FORM_NAME = "sub-form-name";
	public final static String SUB_FORM_LABEL = "sub-form-label";
	public final static String SUB_FORM_FIELD_NAME = "sub-form-field-name";
	public final static String SUB_FORM_FIELD_LABEL = "sub-form-field-label";
	public final static String SUB_FORM_FIELD_VALUE = "sub-form-field-value";
	public final static FormField SUB_FORM_FORM_FIELD = createFormFieldBuilder()
			.name(SUB_FORM_FIELD_NAME)
			.label(SUB_FORM_FIELD_LABEL)
			.value(SUB_FORM_FIELD_VALUE)
			.build();

	public static FormField createFormField() {
		return createFormFieldBuilder().build();
	}

	public static FormField.FormFieldBuilder createFormFieldBuilder() {
		return FormField.builder()
				.name(FORM_FIELD_NAME)
				.label(FORM_FIELD_LABEL)
				.value(FORM_FIELD_VALUE);
	}

	public static SubForm createSubForm() {
		return createSubFormBuilder().build();
	}

	public static SubForm.SubFormBuilder createSubFormBuilder() {
		return SubForm.builder()
				.name(SUB_FORM_NAME)
				.label(SUB_FORM_LABEL)
				.formEntry(SUB_FORM_FORM_FIELD);
	}
}