/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.vorgang;

import de.ozgcloud.collaboration.CollaborationRequestTestFactory;
import de.ozgcloud.collaboration.fachstelle.FachstelleTestFactory;
import de.ozgcloud.collaboration.request.GrpcCollaborationRequest;
import de.ozgcloud.command.CommandTestFactory;

public class GrpcCollaborationRequestTestFactory {

	public static GrpcCollaborationRequest create() {
		return createBuilder().build();
	}

	public static GrpcCollaborationRequest.Builder createBuilder() {
		return GrpcCollaborationRequest.newBuilder()
				.setId(CollaborationRequestTestFactory.ID_STR)
				.setBeschreibung(CollaborationRequestTestFactory.BESCHREIBUNG)
				.setTitel(CollaborationRequestTestFactory.TITEL)
				.setCollaborationLevel(CollaborationRequestTestFactory.COLLABORATION_LEVEL)
				.setCollaborationVorgangId(CollaborationRequestTestFactory.COLLABORATION_VORGANG_ID)
				.setCreatedBy(CommandTestFactory.CREATED_BY)
				.setZustaendigeStelle(FachstelleTestFactory.TECHNICAL_ID)
				.setCollaborationLevel(CollaborationRequestTestFactory.COLLABORATION_LEVEL);
	}
}
