/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.vorgang;

import java.time.ZonedDateTime;
import java.util.UUID;

import de.ozgcloud.apilib.user.OzgCloudUserId;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangStatus;
import de.ozgcloud.collaboration.GrpcVorgangHeader;

public class GrpcVorgangHeaderTestFactory {

	public final static OzgCloudVorgangStatus STATUS = OzgCloudVorgangStatus.from("WORKING");
	public final static String CREATED_AT_STR = "2023-04-01T10:00:15Z";
	public final static ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	public final static OzgCloudUserId ASSIGNED_TO = OzgCloudUserId.from(UUID.randomUUID().toString());
	public final static String AKTENZEICHEN = "DE_12345_XY";

	public static GrpcVorgangHeader create() {
		return createBuilder().build();
	}

	public static GrpcVorgangHeader.Builder createBuilder() {
		return GrpcVorgangHeader.newBuilder()
				.setCreatedAt(CREATED_AT_STR)
				.setAktenzeichen(AKTENZEICHEN);
	}
}