/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.collaboration.vorgang;

import java.util.UUID;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangId;

public class VorgangTestFactory {

	public static final String ID_STR = UUID.randomUUID().toString();
	public static final OzgCloudVorgangId ID = OzgCloudVorgangId.from(ID_STR);
	public static final long VERSION = 42L;

	public static final String VORGANG_NAME = "Antrag auf Waffelschein";
	public static final String VORGANG_NUMMER = "123-abc-XY";

	public static final VorgangHeader HEADER = VorgangHeaderTestFactory.create();
	public static final Eingang EINGANG = EingangTestFactory.create();

	public static Vorgang create() {
		return createBuilder().build();
	}

	public static Vorgang.VorgangBuilder createBuilder() {
		return Vorgang.builder()
				.id(ID)
				.version(VERSION)
				.vorgangName(VORGANG_NAME)
				.vorgangNummer(VORGANG_NUMMER)
				.header(HEADER)
				.eingang(EINGANG);
	}
}